/*
	File:		ThePartUtils.h

	Contains:	Part utility functions & classes

	Written by:	PartMaker 

	Change History (most recent first):

		 <3>	 2/13/95	SJF		Interim checkin to update project database
		 <0>	11/16/94	SJF		first written
		 
	To Do:
*/


#ifndef _PARTUTILS_
#define _PARTUTILS_

#ifndef __EVENTS__
#include <Events.h>
#endif

#ifndef __DIALOGS__
#include <Dialogs.h>
#endif

class ODSession;
class ODWindow;
struct ODPoint;

extern ODSession* gSession;


#define TopLeft(aRect)	(* (Point *) &(aRect).top)
#define BotRight(aRect)	(* (Point *) &(aRect).bottom)

#define Width(aRect)	((aRect).right-(aRect).left)
#define Height(aRect)	((aRect).bottom-(aRect).top)


pascal Boolean		MyDialogFilter(DialogPtr, EventRecord*, short* itemHit);


void				GetWindowPoint(ODWindow *w, Environment *ev,
									Point globalPoint,
									ODPoint *localPoint);

#endif

